## ros-noetic-xsens-mti-driver 0.2021.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xsens_mti_driver)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2
  tf2_ros
  std_msgs
  geometry_msgs
  sensor_msgs
)


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES xsens_mti_driver
  CATKIN_DEPENDS
  roscpp
  tf2
  tf2_ros
  sensor_msgs
  std_msgs
  geometry_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
# include
  lib/xspublic
  ${catkin_INCLUDE_DIRS}
)

link_directories(lib/xspublic/xscontroller lib/xspublic/xscommon lib/xspublic/xstypes)
add_executable(
	xsens_mti_node
	src/main.cpp
	src/xdainterface.cpp
	src/xdacallback.cpp
)
target_link_libraries(
	xsens_mti_node
	xscontroller
	xscommon
	xstypes
	pthread
	dl
	${catkin_LIBRARIES}
)

# Install targets
install(
  TARGETS
    xsens_mti_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install directories
install(
  DIRECTORY
    launch
    param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

add_custom_command(TARGET xsens_mti_node
    PRE_BUILD COMMAND +make -C ${CMAKE_CURRENT_SOURCE_DIR}/lib/xspublic
)

=== lib/xspublic/Makefile ===
OBJLIBS	= libxscontroller libxscommon libxstypes

all : $(OBJLIBS)

libxscontroller : libxstypes
	$(MAKE) -C xscontroller $(MFLAGS)

libxscommon : libxscommon
	$(MAKE) -C xscommon $(MFLAGS)

libxstypes :
	$(MAKE) -C xstypes $(MFLAGS) libxstypes.a

clean :
	-$(MAKE) -C xscontroller $(MFLAGS) clean
	-$(MAKE) -C xscommon $(MFLAGS) clean
	-$(MAKE) -C xstypes $(MFLAGS) clean

=== lib/xspublic/xscommon/Makefile ===
TARGET=libxscommon.a
CPP_FILES := $(wildcard *.cpp)
C_FILES := $(wildcard *.c)
OBJECTS := $(CPP_FILES:.cpp=.cpp.o) $(C_FILES:.c=.c.o)
CFLAGS+= -fPIC -I../ -include xscommon_config.h -include xstypes/xsens_compat.h
CXXFLAGS+= -std=c++11 -I../ -include xscommon_config.h -include xstypes/xsens_compat.h

all: $(TARGET)

-include $(FILES:.cpp=.dpp)

%.cpp.o: %.cpp
	$(CXX) -c $(CXXFLAGS) $< -o $@
	@$(CXX) -MM $(CXXFLAGS) $< > $*.dpp
	@mv -f $*.dpp $*.dpp.tmp
	@sed -e 's|.*:|$*.cpp.o:|' < $*.dpp.tmp > $*.dpp
	@sed -e 's/.*://' -e 's/\\$$//' < $*.dpp.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.dpp
	@rm -f $*.dpp.tmp

-include $(FILES:.c=.d)

%.c.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@
	@$(CC) -MM $(CFLAGS) $< > $*.d
	@mv -f $*.d $*.d.tmp
	@sed -e 's|.*:|$*.c.o:|' < $*.d.tmp > $*.d
	@sed -e 's/.*://' -e 's/\\$$//' < $*.d.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.d
	@rm -f $*.d.tmp

$(TARGET): $(OBJECTS)
	ar rcs $@ $^

clean:
	-$(RM) $(TARGET)
	-$(RM) *.o *.d

=== lib/xspublic/xscontroller/Makefile ===
TARGET=libxscontroller.a
CPP_FILES := $(wildcard *.cpp)
C_FILES := $(wildcard *.c)
OBJECTS := $(CPP_FILES:.cpp=.cpp.o) $(C_FILES:.c=.c.o)
CFLAGS+= -fPIC -I../ -include xscontrollerconfig.h
CXXFLAGS+= -std=c++11 -I../ -include xscontrollerconfig.h

CXXFLAGS+=-DHAVE_JOURNALLER

HAVE_LIBUSB?=0
ifeq ($(HAVE_LIBUSB), 1)
CFLAGS+=-DHAVE_LIBUSB
CXXFLAGS+=-DHAVE_LIBUSB
endif

all: $(TARGET)

-include $(FILES:.cpp=.dpp)

%.cpp.o: %.cpp
	$(CXX) -c $(CXXFLAGS) $< -o $@
	@$(CXX) -MM $(CXXFLAGS) $< > $*.dpp
	@mv -f $*.dpp $*.dpp.tmp
	@sed -e 's|.*:|$*.cpp.o:|' < $*.dpp.tmp > $*.dpp
	@sed -e 's/.*://' -e 's/\\$$//' < $*.dpp.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.dpp
	@rm -f $*.dpp.tmp

-include $(FILES:.c=.d)

%.c.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@
	@$(CC) -MM $(CFLAGS) $< > $*.d
	@mv -f $*.d $*.d.tmp
	@sed -e 's|.*:|$*.c.o:|' < $*.d.tmp > $*.d
	@sed -e 's/.*://' -e 's/\\$$//' < $*.d.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.d
	@rm -f $*.d.tmp

$(TARGET): $(OBJECTS)
	ar rcs $@ $^

clean:
	-$(RM) $(TARGET)
	-$(RM) *.o *.d

=== lib/xspublic/xstypes/Makefile ===
TARGET:=libxstypes.a
EXCLUDE:=xstypesdynlib.c
C_FILES := $(filter-out $(EXCLUDE), $(wildcard *.c))
CPP_FILES := $(wildcard *.cpp)
OBJECTS := $(C_FILES:.c=.c.o) $(CPP_FILES:.cpp=.cpp.o)
CFLAGS+= -fPIC -I$(shell dirname $$(pwd))/xspublic
CXXFLAGS+= -std=c++11 -I$(shell dirname $$(pwd))/xspublic

.PHONY: all xstypes
all: xstypes
xstypes: $(TARGET)

-include $(FILES:.c=.d)

%.c.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@
	@$(CC) -MM $(CFLAGS) $< > $*.d
	@mv -f $*.d $*.d.tmp
	@sed -e 's|.*:|$*.c.o:|' < $*.d.tmp > $*.d
	@sed -e 's/.*://' -e 's/\\$$//' < $*.d.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.d
	@rm -f $*.d.tmp

-include $(FILES:.cpp=.dpp)

%.cpp.o: %.cpp
	$(CXX) -c $(CXXFLAGS) $< -o $@
	@$(CXX) -MM $(CXXFLAGS) $< > $*.dpp
	@mv -f $*.dpp $*.dpp.tmp
	@sed -e 's|.*:|$*.c.o:|' < $*.dpp.tmp > $*.dpp
	@sed -e 's/.*://' -e 's/\\$$//' < $*.dpp.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.dpp
	@rm -f $*.dpp.tmp

$(TARGET): $(OBJECTS)
	ar rcs $@ $^

clean:
	-$(RM) buildversion.h
	-$(RM) *.o *.d *.dpp
	-$(RM) $(TARGET)

=== debian/changelog ===
ros-noetic-xsens-mti-driver (0.2021.4-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Xsens <support@xsens.com>  Fri, 26 Nov 2021 14:13:36 -0000

=== debian/control ===
Source: ros-noetic-xsens-mti-driver
Section: misc
Priority: optional
Maintainer: Xsens <support@xsens.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-xsens-mti-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf2, ros-noetic-tf2-ros
Description: ROS driver for Xsens MTi IMU sensors
